org.apache.lucene.index

## Class IndexFormatTooOldException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.apache.lucene.index.IndexFormatTooOldException

- All Implemented Interfaces:
    Serializable

      public class IndexFormatTooOldException
      extends IOException

  This exception is thrown when Lucene detects an index that is too old for this Lucene version
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IndexFormatTooOldException(DataInput in, int version, int minVersion, int maxVersion)` Creates an `IndexFormatTooOldException`.
    `IndexFormatTooOldException(DataInput in, String reason)` Creates an `IndexFormatTooOldException`.
    `IndexFormatTooOldException(String resourceDescription, int version, int minVersion, int maxVersion)` Creates an `IndexFormatTooOldException`.
    `IndexFormatTooOldException(String resourceDescription, String reason)` Creates an `IndexFormatTooOldException`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Integer` | `getMaxVersion()` Returns the maximum version accepted.
    `Integer` | `getMinVersion()` Returns the minimum version accepted This method will return `null` if an alternative `getReason()` is provided.
    `String` | `getReason()` Returns an optional reason for this exception if the version information was not available.
    `String` | `getResourceDescription()` Returns a description of the file that was too old
    `Integer` | `getVersion()` Returns the version of the file that was too old.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IndexFormatTooOldException

          public IndexFormatTooOldException(String resourceDescription,
                                            String reason)

      Creates an `IndexFormatTooOldException`.
      Parameters:
        `resourceDescription` - describes the file that was too old
        `reason` - the reason for this exception if the version is not available
      NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

    - #### IndexFormatTooOldException

          public IndexFormatTooOldException(DataInput in,
                                            String reason)

      Creates an `IndexFormatTooOldException`.
      Parameters:
        `in` - the open file that's too old
        `reason` - the reason for this exception if the version is not available
      NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

    - #### IndexFormatTooOldException

          public IndexFormatTooOldException(String resourceDescription,
                                            int version,
                                            int minVersion,
                                            int maxVersion)

      Creates an `IndexFormatTooOldException`.
      Parameters:
        `resourceDescription` - describes the file that was too old
        `version` - the version of the file that was too old
        `minVersion` - the minimum version accepted
        `maxVersion` - the maximum version accepted
      NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

    - #### IndexFormatTooOldException

          public IndexFormatTooOldException(DataInput in,
                                            int version,
                                            int minVersion,
                                            int maxVersion)

      Creates an `IndexFormatTooOldException`.
      Parameters:
        `in` - the open file that's too old
        `version` - the version of the file that was too old
        `minVersion` - the minimum version accepted
        `maxVersion` - the maximum version accepted
      NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

  - ### Method Detail

    - #### getResourceDescription

          public String getResourceDescription()

      Returns a description of the file that was too old

    - #### getReason

          public String getReason()

      Returns an optional reason for this exception if the version information was not available. Otherwise `null`

    - #### getVersion

          public Integer getVersion()

      Returns the version of the file that was too old. This method will return `null` if an alternative `getReason()` is provided.

    - #### getMaxVersion

          public Integer getMaxVersion()

      Returns the maximum version accepted. This method will return `null` if an alternative `getReason()` is provided.

    - #### getMinVersion

          public Integer getMinVersion()

      Returns the minimum version accepted This method will return `null` if an alternative `getReason()` is provided.

Copyright © 2000-2024 Apache Software Foundation. All Rights Reserved.